petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatSeqAIJGetArray

gives read/write access to the array where the data for a MATSEQAIJ matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqAIJGetArray(Mat A,PetscScalar **array)

Not Collective

### Input Parameter

mat -a MATSEQAIJ matrix

### Output Parameter

array -pointer to the data

### See Also

MatSeqAIJRestoreArray(), MatSeqAIJGetArrayF90()

### Level

intermediate

### Location

src/mat/impls/aij/seq/aij.c

### Implementations

MatSeqAIJGetArray_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatSeqAIJGetArray_SeqAIJViennaCL in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages